org.keycloak.models.sessions.infinispan

## Class ClientInitialAccessAdapter

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.ClientInitialAccessAdapter

- All Implemented Interfaces:
    ClientInitialAccessModel

      public class ClientInitialAccessAdapter
      extends Object
      implements ClientInitialAccessModel

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientInitialAccessAdapter(KeycloakSession session, InfinispanUserSessionProvider provider, org.infinispan.Cache<String,SessionEntity> cache, RealmModel realm, ClientInitialAccessEntity entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decreaseRemainingCount()`
    `int` | `getCount()`
    `int` | `getExpiration()`
    `String` | `getId()`
    `RealmModel` | `getRealm()`
    `int` | `getRemainingCount()`
    `int` | `getTimestamp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientInitialAccessAdapter

          public ClientInitialAccessAdapter(KeycloakSession session,
                                            InfinispanUserSessionProvider provider,
                                            org.infinispan.Cache<String,SessionEntity> cache,
                                            RealmModel realm,
                                            ClientInitialAccessEntity entity)

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ClientInitialAccessModel`

    - #### getRealm

          public RealmModel getRealm()

      Specified by:
        `getRealm` in interface `ClientInitialAccessModel`

    - #### getTimestamp

          public int getTimestamp()

      Specified by:
        `getTimestamp` in interface `ClientInitialAccessModel`

    - #### getExpiration

          public int getExpiration()

      Specified by:
        `getExpiration` in interface `ClientInitialAccessModel`

    - #### getCount

          public int getCount()

      Specified by:
        `getCount` in interface `ClientInitialAccessModel`

    - #### getRemainingCount

          public int getRemainingCount()

      Specified by:
        `getRemainingCount` in interface `ClientInitialAccessModel`

    - #### decreaseRemainingCount

          public void decreaseRemainingCount()

      Specified by:
        `decreaseRemainingCount` in interface `ClientInitialAccessModel`

Copyright © 2016 JBoss by Red Hat. All rights reserved.